<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sec="http://www.w3.org/1999/xhtml"
      layout:decorate="~{layouts/main}">
<div layout:fragment="content">

    <!-- Main Content -->
    <div id="content">

        <!--<div class="row wrapper border-bottom white-bg page-heading">
            <div class="col-lg-12">
                <h2>Question & Answers</h2>
            </div>
        </div>-->


        <div class="alert alert-warning alert-dismissable" style="display:none;" id="alert-success">
            <button class="close" aria-hidden="true" data-dismiss="alert" type="button">×</button>
            <h4 id="message"></h4>
        </div>

        <div class="col-md-12 " style="text-align:center" id="loader">
            <img style="width: 210px; margin-top: 20px" src="img/sunquick/logo.png">
            <div class="loading_wrapper">
                <div class="loading">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                </div>
                <p>Waiting for the questions.</p>
            </div>
        </div>

        <div class="wrapper wrapper-content animated fadeInRight">


            <form class="user" action="#" th:object="${questionAnswerResponse}" method="post">

                <div class="row">


                    <div class="col-md-9 col-lg-12">

                        <div class="grid-container template_col_4_resalt">

                            <div class="question" id="question">

                            </div>

                            <div class="answers grid-container" id="answers">

                            </div>
                        </div>
                        <div class=" template_col_5 resault question-user" sec:authorize="hasAuthority('SCREEN')">


                            <div th:each="user, userStat : *{users}">

                                    <div class="col-lg-12" th:if="${user.tempClass=='user_0'}">
                                        <div class="q-user_1">
                                            <img th:src="${user.path}" width="70" />
                                            <label th:text="${user.username}"></label>
                                        </div>
                                        <div class="q-reply_1" th:id="${user.id}">?</div>
                                    </div>

                                    <div class="col-lg-12"  th:if="${user.tempClass=='user_1'}">
                                        <div class="q-user_1">
                                            <img th:src="${user.path}" width="70" />
                                            <label th:text="${user.username}"></label>
                                        </div>
                                        <div class="q-reply_1" th:id="${user.id}">?</div>
                                    </div>

                                    <div  class="col-lg-12"  th:if="${user.tempClass=='user_2'}">
                                        <div class="q-user_1">
                                            <img th:src="${user.path}" width="70"/>
                                            <label th:text="${user.username}"></label>
                                        </div>
                                        <div class="q-reply_1" th:id="${user.id}">?</div>
                                    </div>

                                    <div class="col-lg-12"  th:if="${user.tempClass=='user_3'}">
                                        <div class="q-user_1">
                                            <img th:src="${user.path}" width="70" />
                                            <label th:text="${user.username}"></label>
                                        </div>
                                        <div class="q-reply_1" th:id="${user.id}">?</div>
                                    </div>
                                    <div class="col-lg-12"   th:if="${user.tempClass=='user_4'}">
                                        <div class="q-user_1">
                                            <img th:src="${user.path}" width="70" />
                                            <label th:text="${user.username}"></label>
                                        </div>
                                        <div class="q-reply_1" th:id="${user.id}">?</div>
                                    </div>

                            </div>

                        </div>
                    </div>
                </div>
                <hr>

                <div class="box-footer set-footer-margin" sec:authorize="hasAuthority('USER')"  id="round3Submit">
                    <button type="button" class="btn btn-success btn-sm" id="finalize-btn" onclick="submitAnswer();">
                        Submit
                    </button>
                </div>
            </form>
        </div>


    </div>

    <th:block layout:fragment="script">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
        <script src="js/admin-const.js"></script>
        <script src="js/round3question.js"></script>

    </th:block>

</div>
</html>